Option Strict Off Imports System Imports System.IO Imports NXOpen Imports NXOpenUI Imports NXOpen.UF Imports NXOpen.Utilities Imports NXOpen.Assemblies Imports NXOpen.Drawings Imports NXOpen.UF.UFPlot Module plotten Dim s As Session = Session.GetSession Dim uf As UFSession = UFSession.GetUFSession Dim Workpart As Part = s.Parts.Work Sub Main() Dim plotterName As String plotterName = "Plotter" ' hier Plotternamen eintragen If Workpart is nothing Then MsgBox("Kein aktives Teil") Return End If Dim currentDrawing As DrawingSheet currentDrawing = Workpart.DrawingSheets.CurrentDrawingSheet If currentDrawing is nothing Then MsgBox("Keine aktive Zeichnung") Return End If Dim jobOptions As JobOptions uf.Plot.AskDefaultJobOptions(jobOptions) Dim bannerOptions As BannerOptions uf.Plot.AskDefaultBannerOptions(bannerOptions) Dim jobName As String uf.Plot.AskDefaultJobName(currentDrawing.Tag, jobName) uf.Plot.Print(currentDrawing.Tag, jobOptions, jobName, bannerOptions, plotterName, "", 1) End Sub Public Function GetUnloadOption() As Integer Return Session.LibraryUnloadOption.Immediately End Function End Module